Bug 1907929 - Enable madvdontneed in OpenShift System Components Part 2
Summary: Enable madvdontneed in OpenShift System Components Part 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
: 1916501 (view as bug list)
Depends On:
Blocks: 1926944
TreeView+ depends on / blocked
 
Reported: 2020-12-15 14:27 UTC by Ryan Phillips
Modified: 2021-07-14 14:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2299 0 None closed Bug 1907929: enable madvdontneed in system components 2021-02-19 22:31:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:50 UTC

Description Ryan Phillips 2020-12-15 14:27:08 UTC
Description of problem:

This BZ is for the system components within the MCO (Kubelet and Crio).

Golang 1.12 changed to use MADV_FREE. MADV_FREE is somewhat faster than 
MADV_DONTNEED; however, the kernel will not try and reclaim memory in golang processes until the system is memory constrained. Cloud servers can potentially page out executable caches, which can cause IOPS throttles. Since golang 1.16  will be changing the default to MADV_DONTNEED, we are going to enable the flag by default.

https://github.com/golang/go/issues/42330

Part 1: https://bugzilla.redhat.com/show_bug.cgi?id=1907924

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Ryan Phillips 2021-02-09 20:38:32 UTC
*** Bug 1916501 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2021-02-24 15:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.